Bullet Collision Detection & Physics Library: CollisionDispatcherUpdater Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
CollisionDispatcherUpdater Struct Reference
Inheritance diagram for CollisionDispatcherUpdater:
[legend]
Collaboration diagram for CollisionDispatcherUpdater:
[legend]

## Public Member Functions
| CollisionDispatcherUpdater ()
void | forLoop (int iBegin, int iEnd) const
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
btBroadphasePair * | mPairArray
btNearCallback | mCallback
btCollisionDispatcher * | mDispatcher
const btDispatcherInfo * | mInfo

## Detailed Description

Definition at line 109 of file btCollisionDispatcherMt.cpp.

## Constructor & Destructor Documentation

## ◆ CollisionDispatcherUpdater()

CollisionDispatcherUpdater::CollisionDispatcherUpdater | ( |  | ) |
| inline

Definition at line 116 of file btCollisionDispatcherMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void CollisionDispatcherUpdater::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 123 of file btCollisionDispatcherMt.cpp.

## Member Data Documentation

## ◆ mCallback

btNearCallback CollisionDispatcherUpdater::mCallback

Definition at line 112 of file btCollisionDispatcherMt.cpp.

## ◆ mDispatcher

btCollisionDispatcher* CollisionDispatcherUpdater::mDispatcher

Definition at line 113 of file btCollisionDispatcherMt.cpp.

## ◆ mInfo

const btDispatcherInfo* CollisionDispatcherUpdater::mInfo

Definition at line 114 of file btCollisionDispatcherMt.cpp.

## ◆ mPairArray

btBroadphasePair* CollisionDispatcherUpdater::mPairArray

Definition at line 111 of file btCollisionDispatcherMt.cpp.

The documentation for this struct was generated from the following file:

- btCollisionDispatcherMt.cpp